..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=====
fluid
=====

.. _api_fluid_AsyncExecutor:

AsyncExecutor
-------------

..  autoclass:: paddle.fluid.AsyncExecutor
    :members:
    :noindex:

.. _api_fluid_BuildStrategy:

BuildStrategy
-------------

..  autoclass:: paddle.fluid.BuildStrategy
    :members:
    :noindex:

.. _api_fluid_CompiledProgram:

CompiledProgram
---------------

..  autoclass:: paddle.fluid.CompiledProgram
    :members:
    :noindex:

.. _api_fluid_cpu_places:

cpu_places
----------

..  autofunction:: paddle.fluid.cpu_places
    :noindex:

.. _api_fluid_CPUPlace:

CPUPlace
--------

..  autoclass:: paddle.fluid.CPUPlace
    :members:
    :noindex:

.. _api_fluid_create_lod_tensor:

create_lod_tensor
-----------------

..  autofunction:: paddle.fluid.create_lod_tensor
    :noindex:

.. _api_fluid_create_random_int_lodtensor:

create_random_int_lodtensor
---------------------------

..  autofunction:: paddle.fluid.create_random_int_lodtensor
    :noindex:

.. _api_fluid_cuda_pinned_places:

cuda_pinned_places
------------------

..  autofunction:: paddle.fluid.cuda_pinned_places
    :noindex:

.. _api_fluid_cuda_places:

cuda_places
-----------

..  autofunction:: paddle.fluid.cuda_places
    :noindex:

.. _api_fluid_CUDAPinnedPlace:

CUDAPinnedPlace
---------------

..  autoclass:: paddle.fluid.CUDAPinnedPlace
    :members:
    :noindex:

.. _api_fluid_CUDAPlace:

CUDAPlace
---------

..  autoclass:: paddle.fluid.CUDAPlace
    :members:
    :noindex:

.. _api_fluid_DataFeedDesc:

DataFeedDesc
------------

..  autoclass:: paddle.fluid.DataFeedDesc
    :members:
    :noindex:

.. _api_fluid_DataFeeder:

DataFeeder
----------

..  autoclass:: paddle.fluid.DataFeeder
    :members:
    :noindex:

.. _api_fluid_default_main_program:

default_main_program
--------------------

..  autofunction:: paddle.fluid.default_main_program
    :noindex:

.. _api_fluid_default_startup_program:

default_startup_program
-----------------------

..  autofunction:: paddle.fluid.default_startup_program
    :noindex:

.. _api_fluid_DistributeTranspiler:

DistributeTranspiler
--------------------

..  autoclass:: paddle.fluid.DistributeTranspiler
    :members:
    :noindex:

.. _api_fluid_DistributeTranspilerConfig:

DistributeTranspilerConfig
--------------------------

..  autoclass:: paddle.fluid.DistributeTranspilerConfig
    :members:
    :noindex:

.. _api_fluid_ExecutionStrategy:

ExecutionStrategy
-----------------

..  autoclass:: paddle.fluid.ExecutionStrategy
    :members:
    :noindex:

.. _api_fluid_Executor:

Executor
--------

..  autoclass:: paddle.fluid.Executor
    :members:
    :noindex:

.. _api_fluid_global_scope:

global_scope
------------

..  autofunction:: paddle.fluid.global_scope
    :noindex:

.. _api_fluid_in_dygraph_mode:

in_dygraph_mode
---------------

..  autofunction:: paddle.fluid.in_dygraph_mode
    :noindex:

.. _api_fluid_LoDTensor:

LoDTensor
---------

..  autoclass:: paddle.fluid.LoDTensor
    :members:
    :noindex:

.. _api_fluid_LoDTensorArray:

LoDTensorArray
--------------

..  autoclass:: paddle.fluid.LoDTensorArray
    :members:
    :noindex:

.. _api_fluid_memory_optimize:

memory_optimize
---------------

..  autofunction:: paddle.fluid.memory_optimize
    :noindex:

.. _api_fluid_name_scope:

name_scope
----------

..  autofunction:: paddle.fluid.name_scope
    :noindex:

.. _api_fluid_ParallelExecutor:

ParallelExecutor
----------------

..  autoclass:: paddle.fluid.ParallelExecutor
    :members:
    :noindex:

.. _api_fluid_ParamAttr:

ParamAttr
---------

..  autoclass:: paddle.fluid.ParamAttr
    :members:
    :noindex:

.. _api_fluid_Program:

Program
-------

..  autoclass:: paddle.fluid.Program
    :members:
    :noindex:

.. _api_fluid_program_guard:

program_guard
-------------

..  autofunction:: paddle.fluid.program_guard
    :noindex:

.. _api_fluid_release_memory:

release_memory
--------------

..  autofunction:: paddle.fluid.release_memory
    :noindex:

.. _api_fluid_scope_guard:

scope_guard
-----------

..  autofunction:: paddle.fluid.scope_guard
    :noindex:

.. _api_fluid_Tensor:

Tensor
------

..  autoclass:: paddle.fluid.Tensor
    :members:
    :noindex:

.. _api_fluid_WeightNormParamAttr:

WeightNormParamAttr
-------------------

..  autoclass:: paddle.fluid.WeightNormParamAttr
    :members:
    :noindex:

